Subject: ssh-add could not open connection
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 24 Feb 2003 08:02:03 +0000

On Sunday 23 Feb 03, Matt writes:
> I am running cygwin on WinXP I am having trouble with
> ssh-agent not being able to establish the
> SSH_AUTH_SOCK and SSH_AGENT_PID environment variables.
>  then when i go to run ssh-add it can't find the
> authentication agent.  I know this is the problem
> becuase i manually executed the commands the ssh-agent
> is supposed to do automatically.  however i did find
> that i needed to add "set" in front of the environment
> variable assignment.  Have i messed spmething up when
> changing around permissions or what isn't this
> supposed to work in cygwin?
> 
> results of ssh-agent:
> $ ssh-agent
> SSH_AUTH_SOCK=/tmp/ssh-CjVj1576/agent.1576; export
> SSH_AUTH_SOCK;
> SSH_AGENT_PID=284; export SSH_AGENT_PID;
> echo Agent pid 284;

You need to run

	eval `ssh-agent`

instead of

	ssh-agent

(not Cygwin-specific).

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/